import request from '@/utils/request'

// 查询试卷列表
export function listPaperInfo(query) {
  return request({
    url: '/system/PaperInfo/list',
    method: 'get',
    params: query
  })
}

// 查询试卷详细
export function getPaperInfo(PaperID) {
  return request({
    url: '/system/PaperInfo/' + PaperID,
    method: 'get'
  })
}

// 新增试卷
export function addPaperInfo(data) {
  return request({
    url: '/system/PaperInfo',
    method: 'post',
    data: data
  })
}

// 修改试卷
export function updatePaperInfo(data) {
  return request({
    url: '/system/PaperInfo',
    method: 'put',
    data: data
  })
}

// 删除试卷
export function delPaperInfo(PaperID) {
  return request({
    url: '/system/PaperInfo/' + PaperID,
    method: 'delete'
  })
}


//删除考试策略
export function delCl(id){
	return request({
		url:"/jxjy/PaperPolicy/"+id,
		method:"delete"
	})
}

//查询试题总数
export function searchClNum(data){
	return request({
		url:"/jxjy/PaperPolicy/questCatagoryCount",
		params:data,
	})
}


//试卷预览
export function previewSj(id){
	return request({
		url:"/system/PaperInfo/previewPaper?id="+id
	})
}